<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />

    <title>Country Details</title>
    <style>
      @media screen and (max-width: 800px) {
        .section1 {
          width: 90% !important;
        }
      }
      #data2 {
        display: flex;
        justify-content: center;
      }
    </style>
  </head>

  <body>
    <div class="container section1">
      <div id="data" class="border p-2"></div>
      <div id="data2" class="border p-2 mt-2">
        <h2>Neighbour Countries</h2>
      </div>
    </div>

    <script
      src="https://code.jquery.com/jquery-3.6.0.js"
      integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="
      crossorigin="anonymous"
    ></script>

    <script>
      function dateTime(timezone) {
        let offset1 = timezone.split('C');
        let offset2 = offset1[1].split(':');
        let offset3 = parseInt(offset2[0]);
        let offset4 = parseInt(offset2[1]);
        let offset = offset3 + offset4 / 60;
        let x = new Date();
        let month = x.getMonth();
        let months = [
          'Jan',
          'Feb',
          'Mar',
          'Apr',
          'May',
          'Jun',
          'Jul',
          'Aug',
          'Sep',
          'Oct',
          'Nov',
          'Dec',
        ];
        let day = x.getDate();
        let year = x.getFullYear();
        let str1 = '';
        let str = '';
        let str2 = '';
        str1 = day + ' ' + months[month] + ' ' + year;
        let localTime = x.getTime();
        let localOffset = x.getTimezoneOffset() * 60000;
        let utc = localTime + localOffset;
        let nd = new Date(utc + 3600000 * offset);
        let h = nd.getHours();
        let m = nd.getMinutes();
        let h1 = '';
        let m1 = '';
        if (h < 10) {
          h1 = h1 + '0' + h.toString();
        }
        if (m < 10) {
          m1 = m1 + '0' + m.toString();
        }
        if (h < 10) {
          if (m < 10) {
            str2 = h1 + ':' + m1;
          } else {
            str2 = h1 + ':' + m;
          }
        } else {
          if (m < 10) {
            str2 = h + ':' + m1;
          } else {
            str2 = h + ':' + m;
          }
        }
        str = str1 + ' and ' + str2;

        return str;
      }

      var url_string = window.location.href;
      var myurl = new URL(url_string);
      var c = myurl.searchParams.get('country');

      const url = 'https://restcountries.com/v3.1/alpha/' + c;

      $.get(url, function (data, status) {
        let curr = 'NULL';
        if (data[0].currencies) {
          curr = Object.values(data[0].currencies)[0].name;
        }
        let lang = 'NULL';
        if (data[0].languages) {
          lang = Object.values(data[0].languages);
        }
        let str =
          `
                <h1>` +
          data[0].name.common +
          `</h1>
                <div class="row">
                    <div class="col-5">
                        <img src="` +
          data[0].flags.png +
          `" width="100%"/>
                    </div>
                    <div class="col">
                        <p class="mb-2"><b>Native Name :</b> </p>
                        <p class="mb-2"><b>Capital :</b> ` +
          data[0].capital[0] +
          `</p>
                        <p class="mb-2"><b>Population :</b> ` +
          data[0].population +
          `</p>
                        <p class="mb-2"><b>Region :</b> ` +
          data[0].region +
          `</p>
                        <p class="mb-2"><b>Sub-region</b> : ` +
          data[0].subregion +
          `</p>
                        <p class="mb-2"><b>Area :</b> ` +
          data[0].area +
          `</p>
                        <p class="mb-2"><b>Country Code</b> : ` +
          data[0].region +
          `</p>
                        <p class="mb-2"><b>Languages :</b> ` +
          lang +
          `</p>
                        <p class="mb-2"><b>Currencies :</b>
                          ` +
          curr +
          `
                          </p>
                        <p class="mb-2"><b>Timezones :</b> ` +
          dateTime(data[0].timezones[0]) +
          `</p>
                </div>`;
        $('#data').append(str);
      });

      // $.get(url, function (data2, status) {
      //   data2.forEach((element) => {
      //     for (let i = 0; i < 6; i++) {
      //       let str2 =
      //         `
      //      <div  class="row">
      //               <div class="col-5">
      //                   <img src="` +
      //         data2[0].flags.png +
      //         `" width="50%"/>
      //               </div>
      //     `;
      //       $('#data2').append(str2);
      //     }
      //   });
      //  });

      $.get(url, function (data2, status) {
        data2.forEach((ctry) => {
          const abc = ctry.borders;
          for (i = 0; i < abc.length; i = i + 1) {
            if (abc[i] == ctry.cca3) {
              let str2 =
                `
           <div  class="row">
                    <div class="col-5">
                        <img src="` +
                data2[i].flags.png +
                `" width="30%"/>
                    </div>
          `;
              $('#data2').append(str2);
            }
          }
        });
      });
    </script>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
